# -----------------------------------------------------------------------------
#
# Vitro runtime properties
#
# This file is provided as example.runtime.properties.
#
# Save a copy of this file as runtime.properties in your Vitro home directory,
# and edit the properties as needed for your installation.
#
# -----------------------------------------------------------------------------

#
# This namespace will be used when generating URIs for objects created in the
# editor. In order to serve linked data, the default namespace must be composed
# as follows (optional elements in parentheses):
#
# scheme + server_name (+ port) (+ servlet_context) + "/individual/"
#
# For example, Cornell's default namespace is:
#
# http://vivo.cornell.edu/individual/
#
Vitro.defaultNamespace = http://vivo.mydomain.edu/individual/

#
# URL of Solr context used in local Vitro search. This will usually consist of:
#     scheme + server_name + port + "solr" + solr_core_name
# In a standard Solr installation, the Solr service will be available on port
# 8983. The path will be /solr followed by the name used when adding a core
# for Vitro.
#   Example:
#     vitro.local.solr.url = http://localhost:8983/solr/vitrocore
#
vitro.local.solr.url = http://localhost:8983/solr/vitrocore

#
# Email parameters Vitro uses to send email. If these are left empty,
# the "Contact Us" form will be disabled and users will not be notified of
# changes to their accounts.
# Example:
# email.smtpHost = smtp.mydomain.edu
# email.replyTo = vitroAdmin@mydomain.edu
# email.username = vivtroAdmin@mydomain.edu
# email.password = secret
# email.port = 25 or 587
#
email.smtpHost =
email.replyTo =

#
# NOTE: VitroConnection.DataSource.* properties are only used in conjuction with
#       an SDB triple store.
#
# The basic parameters for a database connection. Change the end of the
# URL to reflect your database name (if it is not "vitrodb"). Change the username
# and password to match the authorized database user you created.
#
# VitroConnection.DataSource.url = jdbc:mysql://localhost/vitrodb
# VitroConnection.DataSource.username = vitrodbUsername
# VitroConnection.DataSource.password = vitrodbPassword

#
# The maximum number of active connections in the database connection pool.
# Increase this value to support a greater number of concurrent page requests.
#
# VitroConnection.DataSource.pool.maxActive = 40

#
# The maximum number of database connections that will be allowed
# to remain idle in the connection pool.  Default is 25%
# of the maximum number of active connections.
#
# VitroConnection.DataSource.pool.maxIdle = 10

#
# Parameters to change in order to use Vitro with a database other than
# MySQL.
#
# VitroConnection.DataSource.dbtype = MySQL
# VitroConnection.DataSource.driver = com.mysql.jdbc.Driver
# VitroConnection.DataSource.validationQuery = SELECT 1

#
# Include sections between <precise-subquery></precise-subquery>
# tags when executing 'list view' queries that retrieve data
# for property lists on profile pages.
#
# Including these optional sections does not change the query
# semantics, but may improve performance.
#
# Default is true if not set.
#
# listview.usePreciseSubquery = true

#
# The email address of the root user for the VIVO application. The password
# for this user is initially set to "rootPassword", but you will be asked to
# change the password the first time you log in.
#
rootUser.emailAddress = root@myDomain.com

#
# Argon2 password hashing parameters for time, memory and parallelism required to
# compute a hash.
#
# A time cost defines the amount of computation realized and therefore the execution
# time, given in a number of iterations.
# A memory cost defines the memory usage, given in kibibytes
# A parallelism degree defines the number of parallel threads
# For determining the optimal values of the parameters for your setup please refer to
# the white paper section  9
# https://github.com/P-H-C/phc-winner-argon2/blob/master/argon2-specs.pdf
#
argon2.parallelism =1
argon2.memory = 1024
argon2.time = 1000

#
# How is a logged-in user associated with a particular Individual? One way is
# for the Individual to have a property whose value is the username of the user.
# This is the name of that property.
#
selfEditing.idMatchingProperty = http://vitro.mydomain.edu/ns#networkId

#
# If an external authentication system like Shibboleth or CUWebAuth is to be
# used, these properties say how the login button should be labeled, and which
# HTTP header will contain the user ID from the authentication system. If such
# as system is not to be used, leave these commented out. Consult the
# installation instructions for more details.
#
#externalAuth.buttonText = Log in using BearCat Shibboleth
#externalAuth.netIdHeaderName = remote_userID

#
# Types of individual for which we can create proxy editors.
# If this is omitted, defaults to http://www.w3.org/2002/07/owl#Thing
proxy.eligibleTypeList = http://www.w3.org/2002/07/owl#Thing

#
# Show only the most appropriate data values based on the Accept-Language
# header supplied by the browser.  Default is false if not set.
#
# RDFService.languageFilter = true

#
# Tell VIVO to generate HTTP headers on its responses to facilitate caching the
# profile pages that it creates.
#
# For more information, see
# https://wiki.lyrasis.org/display/VIVODOC112x/Use+HTTP+caching+to+improve+performance
#
# Developers will likely want to leave caching disabled, since a change to a
# Freemarker template or to a Java class would not cause the page to be
# considered stale.
#
# http.createCacheHeaders = true

#
# Force VIVO to use a specific language or Locale instead of those
# specified by the browser. This affects RDF data retrieved from the model,
# if RDFService.languageFilter is true. This also affects the text of pages
# that have been modified to support multiple languages.
#
# languages.forceLocale = en_US

#
# A list of supported languages or Locales that the user may choose to
# use instead of the one specified by the browser. The selected language(s)
# must exist in the list of property files in webapps or in the list of ttl
# files in interface-i18n directories within Vitro home. This affects RDF data
# retrieved from the model, if RDFService.languageFilter is true.
# This also affects the text of pages that have been modified to support
# multiple languages.
#
# This should not be used with languages.forceLocale, which will override it.
#
# languages.selectableLocales = en, es, fr

# Triple Pattern Fragments is a very fast, very simple means for querying a
# triple store.  The Triple Pattern Fragments API in VIVO puts little load on
# the server, providing a simple means for getting data from the triple store.
# The API has a web interface for manual use, can be used from the command line
# via curl, and can be used by programs.
#
# Vitro's Triple Pattern Fragments API does not require authentication and
# makes the full RDF graph available regardless of display or publish levels
# set on particular properties.  Enable Triple Pattern Fragments only if your
# Vitro does not contain restricted data that should not be shared with others.
#
# tpf.activeFlag = true
#
# File upload file size in bytes. By default 10485760 bytes (10Mb)
#fileUpload.maxFileSize = 10485760
#comma separated list of mime types allowed for upload
#fileUpload.allowedMIMETypes = image/png, application/pdf
